Bug 165287 - dcopserver crash due to missing dependency on iceauth
dcopserver crash due to missing dependency on iceauth
Product: Fedora
Classification: Fedora
Component: kdelibs (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Depends On:
  Show dependency treegraph
Reported: 2005-08-06 20:47 EDT by Steven Pritchard
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-08-08 14:20:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Steven Pritchard 2005-08-06 20:47:39 EDT
Description of problem:
I discovered that KDE apps will not start without iceauth due to a dependency in
dcopserver after installing k3b on a minimal system.  With no iceauth in the
path, dcopserver fails to start with the following message:

 dcopserver: 'iceauth' not found in path, aborting.
 DCOPServer self-test failed.
 sh: iceauth: command not found

The simple solution would appear to be to add "Requires:
/usr/X11R6/bin/iceauth", or possibly "Requires: xorg-x11" to kdelibs.

Version-Release number of selected component (if applicable):
Comment 1 Ngo Than 2005-08-08 14:20:08 EDT
it's now fixed in kdelibs-3.4.2-2. Thanks for your report
Comment 2 Rex Dieter 2005-09-29 08:58:27 EDT
IMO, wouldn't a better possible approach be to ask that iceauth be moved from
xorg-x11 to xorg-x11-libs?
Comment 3 Rex Dieter 2005-09-29 09:14:01 EDT
I mean, it'd be a shame to have to pull-in/install all of xorg-x11 just to be
able to run a kde app (remotely, I assume) from that box.

Note You need to log in before you can comment on or make changes to this bug.